#edit the following line to add the librarie's header files
SET(name autonomous_driving_tools)
FIND_PATH(${name}_INCLUDE_DIRS gradient.h g2_spline.h dijkstra.h /usr/local/include/iri/${name} /usr/include/iri/${name})

FIND_LIBRARY(${name}_LIBRARIES
    NAMES ${name}
    PATHS /usr/local/lib/iri/${name} /usr/lib/iri/${name})

SET(${name}_INCLUDE_DIR ${${name}_INCLUDE_DIRS})
SET(${name}_LIBRARY     ${${name}_LIBRARIES})

IF (${name}_INCLUDE_DIRS AND ${name}_LIBRARIES)
   SET(${name}_FOUND TRUE)
ENDIF (${name}_INCLUDE_DIRS AND ${name}_LIBRARIES)

IF (${name}_FOUND)
   IF (NOT ${name}_FIND_QUIETLY)
      MESSAGE(STATUS "Found ${name}: ${${name}_LIBRARIES}")
   ENDIF (NOT ${name}_FIND_QUIETLY)
ELSE (${name}_FOUND)
   IF (${name}_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find ${name}")
   ENDIF (${name}_FIND_REQUIRED)
ENDIF (${name}_FOUND)
