#include "opendrive_common.h"
#include <cmath>

double normalize_angle(double angle)
{
  double norm_angle;

  if(angle>=2*3.14159)
    norm_angle=angle-2*3.14159;
  else if(angle<0.0)
    norm_angle=angle+2*3.14159;
  else
    norm_angle=angle;

  return norm_angle;
}

double diff_angle(double angle1,double angle2)
{
  double diff1,diff2;

  diff1=std::fabs(angle1-angle2);
  if(angle1<angle2)
    diff2=std::fabs(angle1+2*3.14159-angle2);
  else
    diff2=std::fabs(angle1-angle2-2*3.14159);

  return std::fmin(diff1,diff2);
}
